#global date 20231209
#global commit 35311b68945f25c10397f4e894e7045f8359143a
%{?commit:%global shortcommit %(c=%{commit}; echo ${c:0:7})}

Name:           asahi-audio
Version:        v3.0
Release:        1.20250301111720749555.main.11.g90b61c0%{?dist}
Summary:        PipeWire DSP profiles for Apple Silicon machines
License:        MIT
URL:            https://github.com/AsahiLinux/asahi-audio
%if %{defined commit}
Source:         asahi-audio-v3.0.tar.gz
%else
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
%endif

BuildArch:      noarch

BuildRequires:  make
Requires:       pipewire >= 1.0
Requires:       wireplumber >= 0.5.1-2
Requires:       pipewire-module-filter-chain-lv2
Requires:       lsp-plugins-lv2 >= 1.2.13-2
Requires:       lv2-bankstown >= 1.1.0
Requires:       lv2-triforce
Recommends:     speakersafetyd

%description
PipeWire and WirePlumber DSP profiles and configurations to
drive the speaker arrays in Apple Silicon laptops and desktops.

%prep
%autosetup %{?commit:-n\ %{name}-%{commit}} -n asahi-audio-v3.0

%build
%make_build

%install
%make_install PREFIX=%{_prefix} DATA_DIR=%{_datadir}

%files
%license LICENSE
%doc README.md
%{_datadir}/asahi-audio/
%{_datadir}/wireplumber/scripts/device/asahi-limit-volume.lua
%{_datadir}/wireplumber/wireplumber.conf.d/99-asahi.conf
%{_datadir}/pipewire/pipewire.conf.d/99-asahi.conf
%{_datadir}/pipewire/pipewire-pulse.conf.d/99-asahi.conf

%changelog
* Sat Mar 01 2025 Packit <hello@packit.dev> - v3.0-1.20250301111720749555.main.11.g90b61c0
- fixup! conf: vendor software-dsp script (James Calligeros)
- README: bump kernel dependency for mics (James Calligeros)
- README: advertise j313 support (James Calligeros)
- mics: add preliminary j313 support (James Calligeros)
- README: advertise j413 support (James Calligeros)
- mics: add preliminary j413 support (James Calligeros)
- README: bump triforce depdenceny (James Calligeros)
- mics: j314, j316, j415: add new triforce parameters (James Calligeros)
- README: drop WirePlumber 0.4.x support notice (James Calligeros)
- conf: vendor software-dsp script (James Calligeros)
- Add initial packit config (Davide Cavalca)
